"use server";
import getMe from "@/lib/getMe";
import hasPermissions from "@/lib/hasPermissions";
import { redirect } from "next/navigation";
import BlogTable from "./blogs";

export default async function Page() {
	const me = await getMe();
	if (
		!me ||
		me.status === "Error" ||
		!me.data ||
		!hasPermissions(me.data.roles, {
			blogs: ["get"] as const,
		}).all
	) {
		redirect("/dashboard");
	}

	return <BlogTable user={me.data} />;
}
